package com.philisense.www.service.impl;


import com.philisense.www.dao.ProAuthorityDAO;
import com.philisense.www.service.ProAuthorityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProAuthorityServiceImpl implements ProAuthorityService {

@Autowired
private ProAuthorityDAO proAuthorityDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proAuthorityDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proAuthorityDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proAuthorityDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proAuthorityDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proAuthorityDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proAuthorityDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proAuthorityDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proAuthorityDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proAuthorityDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proAuthorityDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proAuthorityDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proAuthorityDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proAuthorityDAO.updateBatch(list);
}
}